Link accounts to agreement
This operation will link the given list of accounts to a given agreement
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/{id}/link' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
[
{
"accountId": "<string>",
"validFrom": "2022-05-12T13:18:05Z",
"validTo": "2022-05-12T13:18:05Z"
}
]
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/{id}/link"
payload = [
{
"accountId": "<string>",
"validFrom": "2022-05-12T13:18:05Z",
"validTo": "2022-05-12T13:18:05Z"
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
accountId: '<string>',
validFrom: '2022-05-12T13:18:05Z',
validTo: '2022-05-12T13:18:05Z'
}
])
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/v1/priceagreement/{id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": [
{
"accountId": "<string>",
"id": "<string>"
}
],
"description": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the price agreement you want to connect the accounts to
Query Parameters
The audit user to log the request
Body
Request information needed to create the price agreement
1000The id of the card that you want to connect to a price agreement
64The RFC 3339 format date and time from what time the price list should be active. Cannot be null
"2022-05-12T13:18:05Z"
The RFC 3339 format date and time when this price list should stop to be active. Cannot be greater than 'validFrom' of any other price list with the same 'code'. Can be null, which means this price list is active until this field is set
"2022-05-12T13:18:05Z"
Was this page helpful?

